Skip to main content
PATCH
Update a household member relationship

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

household_id
integer
required

Record ID in the authenticated organization.

Example:

42

donor_id
integer
required

Record ID in the authenticated organization.

Example:

42

Body

application/json
donor_id
integer
required

Must match donor_id path.

Example:

42

relationship
enum<string>
required

Household relationship label.

Available options:
Church,
Employer,
Employee,
Friend,
Director,
Associate,
Child,
Parent,
Grandparent,
Grandchild,
Relative,
Spouse,
Sibling,
Designated Registrant,
Registrant,
Church Member,
Partner,
Organization,
Member,
Beneficiary,
Sponsor
Example:

"Church"

primary_relationship
enum<string> | null

Household relationship label.

Available options:
Church,
Employer,
Employee,
Friend,
Director,
Associate,
Child,
Parent,
Grandparent,
Grandchild,
Relative,
Spouse,
Sibling,
Designated Registrant,
Registrant,
Church Member,
Partner,
Organization,
Member,
Beneficiary,
Sponsor,
null
Example:

"Church"

primary
integer | null

Fallback donor for primary_relationship when household has no primary.

Example:

42

Response

Update a household member relationship completed.

success
boolean

Operation completed.

Example:

true

message
string

Confirmation.

Example:

"Donor relationship successfully updated"